TRACKCAT(1)

NAME
trackcat - concatenate two or more audio tracks

SYNOPSIS
trackcat [OPTIONS] <track 1> [track 2] [track 3] ...

DESCRIPTION

trackcat combines the audio data from two or more audio tracks into a single output track.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    edit metadata and encoding options in interactive mode prior to converting tracks

--cue=FILENAME
    a cuesheet to embed in the output file

--add-cue
    Embed a cuesheet in the output file using the track lengths as index points. This option assures a concatenated file can be re-split into its original tracks even if the original cuesheet is not available.

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

ENCODING OPTIONS

-o, --output=FILENAME
    the output filename of the concatenated track

-t, --type=TYPE
    the audio format of the concatenated track; for a list of available audio formats, try: -t help

-q, --quality=QUALITY
    the desired quality of the concatenated track; for a list of available quality modes for a given format, try: -q help

CD LOOKUP OPTIONS

-M, --metadata-lookup
    perform metadata lookup for converted tracks

--musicbrainz-server=HOSTNAME
    the MusicBrainz server name to query for metadata

--musicbrainz-port=PORT
    the MusicBrainz port to query for metadata

--no-musicbrainz
    don't query MusicBrainz for metadata

--freedb-server=HOSTNAME
    the FreeDB server name to query for metadata

--freedb-port=PORT
    the FreeDB port to query for metadata

--no-freedb
    don't query FreeDB for metadata

-D, --default
    When multiple metadata choices are available, select the first one automatically. This option has no effect when used with -I

EXAMPLE

Convert all of the WAVE files in sourcedir to a single FLAC file, album.flac at the highest possible compression (quality 8):

    trackcat -t flac -q 8 -o album.flac sourcedir/*.wav

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger